Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class MalformedURIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.hp.hpl.jena.rdf.arp.MalformedURIException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. The code for RDF URI References and IRIs is in the process of being updated.

    public class MalformedURIException

extends java.io.IOException

MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.

See Also:
  Serialized Form

Constructor Summary
`MalformedURIException()` Deprecated. Constructs a `MalformedURIException` with no specified detail message.
`MalformedURIException(org.xml.sax.SAXParseException e)` Deprecated.
`MalformedURIException(java.lang.String p_msg)` Deprecated. Constructs a `MalformedURIException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedURIException

    public MalformedURIException()

  Deprecated.
  Constructs a `MalformedURIException` with no specified detail message.

### MalformedURIException

    public MalformedURIException(java.lang.String p_msg)

  Deprecated.
  Constructs a `MalformedURIException` with the specified detail message.

  Parameters:
    `p_msg` - the detail message.

### MalformedURIException

    public MalformedURIException(org.xml.sax.SAXParseException e)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP